postgresql - How do I upgrade Postgres database in Cygwin? - Server Fault

Marco Atzeri marco.atzeri@gmail.com
Mon Apr 4 20:02:00 GMT 2016


On 04/04/2016 21:46, Chloe wrote:
> OK now I really need help. I tried to install version 9.4.4-2 of
> Postgres with
> ftp://www.fruitbat.org/pub/cygwin/circa/2015/09/25/151012/index.html,
> but now it won't start. I also tried to install 9.4.4-1 but that won't
> work either. I also tried to exit all Cygwin processes and run 'dash'
> and 'rebaseall', but it didn't help. How do I install an old version of
> Postgres 9.4 to upgrade to 9.5?
>
> $ /usr/sbin/postgres --version
> postgres (PostgreSQL) 9.4.4
>
> $ /usr/sbin/postgres
> FATAL:  could not create shared memory segment: Function not implemented
> DETAIL:  Failed system call was shmget(key=5432001, size=40, 03600).

have you configured cygserver as service and run it ?

The shared memory capability depends on cygserver.
https://cygwin.com/cygwin-ug-net/using-cygserver.html

Regards
Marco



--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list